CA Process Automation Issues with SOAP Operators when JDK version 8, Build 92 or later

Document ID : KB000108572
Last Modified Date : 30/07/2018
Show Technical Document Details
Issue:
Attempting to upgrade and use JDK 1.8.0_92 or later causes SOAP Operators to fail. 

A process that worked prior to the JDK update will begin stopping with an ERROR on SOAP Operators, typically with a 'Message Send Failed' though there are other symptoms this issue could present.

This primarily impacts the Service Desk operators which are customized versions of the Out of the Box SOAP operators and seem to be more sensitive to the changes Oracle made to the JDK. 
 
Environment:
CA Process Automation version 4.3 sp1, 4.3 sp2 when using JDK 1.8.0_92 or later.

 
Resolution:

In the Current versions the only option is to downgrade to JDK version prior to 1.8.0_92.   
1.8.0_91 is the last version support can confidently claim does not introduce issues with the SOAP Operators.


Development is aware of this issue and the next release of Process Automation 4.3 sp3 will fully support and function correctly with the latest JDK 1.8 releases.